import { FileResponse } from '@sf/sdr';
import { SfCommand } from '@salesforce/sf-plugins-core';
export declare type TestResults = {
    passing: number;
    failing: number;
    total: number;
    time?: number;
};
export declare type DeployMetadataResult = {
    files: FileResponse[];
    tests?: TestResults;
};
export default class DeployMetadata extends SfCommand<DeployMetadataResult> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static flags: {
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        'test-level': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<number>;
    };
    static configurationVariablesSection: {
        header: string;
        body: string | [string, string][] | import("@oclif/core").HelpSectionKeyValueTable;
    };
    static envVariablesSection: {
        header: string;
        body: string | [string, string][] | import("@oclif/core").HelpSectionKeyValueTable;
    };
    run(): Promise<DeployMetadataResult>;
    private setExitCode;
    private getTestResults;
}
